# Contributing to Projects on GitMoss

I welcome contributions to any public project! Please follow the steps below to get started:

## 1. Request an Account
To contribute, you will need an account. Please email Landon at `git@mossbiscuits.com` to request access. Follow this email template (helps me reduce spam):

> *Subject: Request for GitMoss Account Access*
> 
> Dear Landon, 
> 
> I would like to request an account to contribute to projects on GitMoss. Below are my details:
> 
> - **Name**: [Your Full Name]
> - **Preferred Username**: [Your Preferred Username]
> - **Project(s) of Interest**: [Briefly explain what you want to contribute to]
> - **Reason for Request**: [Briefly explain why you want to contribute]
> - **Affiliation or Experience**: [Not required; you can include details about who you work for or why your background suits you to a certain > project]
> 
> Best regards,  
> [Your Name]


## 2. Fork and Clone the Repository
Once you have access, fork the repository to your account and clone it to your local machine:

## 3. Make Your Changes
Create a new branch for your changes:

```bash
git checkout -b feature/your-feature-name
```

Make your changes and commit them with clear, descriptive messages:

```bash
git add .
git commit -m "Add a clear description of your changes"
```

## 4. Submit a Pull Request
Push your branch to your fork and open a pull request (PR) to the main repository. Ensure your PR includes:
- A clear description of the changes.
- Any relevant issue numbers.

## 5. Moderation and Review
All contributions will be reviewed by project maintainers. Please ensure your changes:
- Follow the project's coding standards (noted on each project).
- Include necessary documentation and tests.

If your PR requires changes, maintainers will provide feedback. Once approved, your contribution will be merged.

## 6. Code of Conduct
Please adhere to the [Code of Conduct]() (coming soon) to ensure a welcoming and friendly environment for all contributors.

Thank you for contributing!